Subject: Re: bug#39824: 26.2; timers sometimes stop working when coming back from sleep

From: ndame <[email-masked]>
Date: Mon, 2 Mar 2020 05:22:57 +0000 (GMT)

> Do I understand correctly that the timers you are talking about are
> those you yourself coded? If so, can you show the code which starts
> one of those timers which you sometimes find with negative Next time?

I did not do anything special, I just start them. E.g:

   (run-with-timer 10 30 'my-function)

This timer checks my todo list regularly and tells me if there is a scheduled
todo tasks imminent. Occasionally, it stops working with negative value for
Next in timer-list when the computer comes back from sleep.